Error when attempting to upgrade SSM to IPS 6.1

Answered Question
May 15th, 2008

I'm currently running 6.0(4)E1 and when I attempt to upgrade it says "Cannot upgrade software on the sensor. This package cannot be installed on the SSM-IPS10 platform."

I've tried upgrading via IDM, FTP, SCP and I get the same error.

I'm attempting to upgrade using the IPS-AIM-K9-6.1-1-E1 package.

I have this problem too.
0 votes
Correct Answer by marcabal about 8 years 6 months ago

Simple problem of using the wrong 6.1(1)E1 file.

The IPS-AIM-K9-6.1-1-E1.pkg file is specific to the AIM-IPS module for the ISR Routers.

The AIM-IPS module for the ISR Routers should not be confused with the ASA-AIP-SSM modules for the ASA appliances.

All other platforms (including the SSMs) should be using the standard 6.1(1)E1 upgrade file:

IPS-K9-6.1-1-E1.pkg

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Correct Answer
marcabal Thu, 05/15/2008 - 06:42

Simple problem of using the wrong 6.1(1)E1 file.

The IPS-AIM-K9-6.1-1-E1.pkg file is specific to the AIM-IPS module for the ISR Routers.

The AIM-IPS module for the ISR Routers should not be confused with the ASA-AIP-SSM modules for the ASA appliances.

All other platforms (including the SSMs) should be using the standard 6.1(1)E1 upgrade file:

IPS-K9-6.1-1-E1.pkg

marcabal Fri, 08/08/2008 - 09:40

The SSM files you are pointing to at http://www.cisco.com/cgi-bin/tablebuild.pl/ips6-asa-aip are System Images.

System Images should only be used when trying to get the module to look like it came fresh from manufacturing. All configs are removed during the System Image process.

When trying to upgrade from one version to another you would not use System Images. Instead you would use the upgrade files.

Upgrade files for all sensors are located here:

http://www.cisco.com/cgi-bin/tablebuild.pl/ips6

With signature updates being located here:

http://www.cisco.com/cgi-bin/tablebuild.pl/ips6-sigup

The SSM uses the same Upgrade files as every other sensor with the exception of the AIM-IPS modules for the ISR Routers.

The AIM has a Mips processor rather than an x86 processor.

So the AIM has it's own set of upgrade files with binaries compiled for Mips.

ALL other sensors (including the SSM) use the standard set of upgrade files.

When in doubt it is best to read the README file for the particular version you are wanting to load. The README should be able to tell you which files are applicable to your sensor models.

Actions

This Discussion